#econde table geneCounts table
getwd()
library(edgeR)
counts <- read.delim("geneCounts.tab")
countsO<-counts
counts$NAME<-NULL
group<-colnames(counts)
group[grep("49", colnames(counts))]<-"WT"
group[grep("50", colnames(counts))]<-"MUT"
group[grep("57", colnames(counts))]<-"WT"
group[grep("58", colnames(counts))]<-"MUT"
nonzero<-counts[rowSums(counts)>0,];dim(nonzero)#37469
#remove nonzero rows
y <- DGEList(counts=nonzero,group=group)
dim(y$counts) #52465
#filtrar:
keep <- rowSums(cpm(y)>1) >= 9; length(which(keep))#9/12
 y <- y[keep, , keep.lib.sizes=FALSE]
 y <- calcNormFactors(y)
 design <- model.matrix(~0+group)
 y <- estimateDisp(y)
 y <- estimateCommonDisp(y)
 y <- estimateTagwiseDisp(y)
 et <- exactTest(y)
 et$table
names<-match(rownames(et$table), rownames(countsO))
et$table$NAME<-countsO$NAME[names]
###################################################### 
topTags(et)
colors<-group
colors[colors=="WT"]<-"red"
colors[colors=="MUT"]<-"blue"
png("mds.wt_mut.png")
plotMDS(y, labels = group, col=as.character(colors))
dev.off()
plot(et$table$logCPM, et$table$logFC)
abline(h=c(-2,-1,0,1,2))
##################################################################################
write.table(et$table,"wt_vs_mut.tab", sep="\t", col.names = NA)
                                                                                                                                                                                                                                                                                                                                                                                                     
    